Package ru.bitel.bgbilling.plugins.crm.common.model

# Class RegisterSubject

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.crm.common.model.RegisterSubject

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class RegisterSubject extends IdTitle implements ListItem

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterSubject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getGroupId()`
  `boolean`
  `isAutoClose()`
  `RegisterSubject`
  `setAutoClose(boolean autoClose)`
  `RegisterSubject`
  `setGroupId(int groupId)`
  `RegisterSubject`
  `setId(int id)`
  Устанавливает id объекта
  `RegisterSubject`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId, getTitle`

- ## Constructor Details

  - ### RegisterSubject

    public RegisterSubject()

- ## Method Details

  - ### getGroupId

    public int getGroupId()

  - ### isAutoClose

    public boolean isAutoClose()

  - ### setAutoClose

    public RegisterSubject setAutoClose(boolean autoClose)

  - ### setGroupId

    public RegisterSubject setGroupId(int groupId)

  - ### setId

    public RegisterSubject setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public RegisterSubject setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`